<template>
  <el-dropdown>
    <div class="flex justify-between cursor-pointer">
      <div class="mr-1 icon-lang flex items-center relative">
        <div class="mr-2 w-[15px]">
          <img
            class="h-[15px] w-[15px]"
            :src="
              getAssetImage('assets/theme/blue_sbo/desktop/images/locale.svg')
            "
            alt="locale-icon"
          />
        </div>
        <span class="text-[12px] whitespace-nowrap font-medium text-[#274EA0] pr-[10px]">{{
          defaultLanguageForDisplay
        }}</span>
        <img
          class="h-[4px] w-[7px] absolute right-[-5px]"
          :src="
            getAssetImage(
              'assets/theme/blue_sbo/desktop/images/icon-arrow-down.png'
            )
          "
          alt="arrow down icon"
        />
      </div>
    </div>
    <template #dropdown>
      <div>
        <el-dropdown-menu class="bg-background1">
          <el-dropdown-item
            v-for="lang in languages"
            :key="lang"
            @click="switchLanguage(lang.ISO)"
          >
            <div>{{ lang.LanguageLocalName }}</div>
          </el-dropdown-item>
        </el-dropdown-menu>
      </div>
    </template>
  </el-dropdown>
</template>
<script lang="ts">
import { defineComponent } from "vue";
import { useLanguageComponent } from "@/composables/useTheme";

export default defineComponent({
  name: "LanguageComponent",
  setup() {
    const { getAssetImage } = commonHelper;
    const { ...props } = useLanguageComponent();
    document.documentElement.lang = props.defaultLanguage;
    return { ...props, getAssetImage };
  },
});
</script>
<style>
.el-dropdown__popper.el-popper[role="tooltip"] {
  background: var(--background1);
  border: 1px solid var(--background1);
  color: #fff;
  min-width: 151.22px;
}
.el-dropdown__popper.el-popper[role="tooltip"] .el-popper__arrow::before {
  border: 1px solid var(--background1);
}
.el-dropdown-menu li {
  border-bottom: 1px solid #d2e7ff;
}
</style>
<style scoped>
.header-container .language-datetime .whitespace-nowrap {
  padding-left: 0px;
}
</style>
